EDIT - bug #9151

invalid pager information in /description/namedAreasinUse webservice
07/14/2020 05:12 PM - Andreas Kohlbecker

Status: Closed Start date:
Priority: Highest Due date:
Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.24
Severity: normal Found in Version:
Description
e.g.:
http http://api.cybertaxonomy.org/euromed/description/namedAreasInUse includeAllParents==true
pagelndex==
{
"class": "DefaultPagerImpl",
"count": 138,
"currentIndex": O,
"firstRecord": 1,
"indices": [
0,
1,
2

] 14

"lastRecord": 30,
"nextIndex": 1,
"pageSize": 30,
"pagesAvailable": 5,
"prevIndex": null,

Related issues:
Related to EDIT - task #9637: overcome mixed use of pageNumber and pagelndex New

Associated revisions

Revision b5ddcca9 - 05/31/2021 02:51 PM - Andreas Kohlbecker
fix #9151 fixing deprecated use of pageNumber

History

#1 - 07/14/2020 05:12 PM - Andreas Kohlbecker
- Priority changed from New to Highest

#2 - 01/13/2021 04:13 PM - Andreas Kohlbecker

- Target version changed from Release 5.18 to Release 5.19

#3 - 01/27/2021 03:14 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#4 - 03/10/2021 02:54 PM - Andreas Miller

- Target version changed from Release 5.21 to Release 5.22

#5 - 04/20/2021 08:34 AM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.25

#6 - 05/31/2021 02:51 PM - Andreas Kohlbecker

- Status changed from New to Resolved
- % Done changed from 0 to 50

Applied in changeset cdmlib|b5ddcca9e3953f3fa88188e6f28e171bd40bdf96.

#7 - 05/31/2021 03:05 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

#8 - 05/31/2021 04:22 PM - Andreas Kohlbecker

- Related to task #9637: overcome mixed use of pageNumber and pagelndex added

#9 - 06/01/2021 10:18 AM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.24
